Subject: FLASH -- a Chinese flashcard program

From: Stephen G Simpson <[email-masked]>
Date: Fri, 30 Apr 93 17:03:19 -0400

I am finally releasing my Chinese flashcard program, FLASH.

FLASH is written in Turbo C 2.0 using the Borland Graphics Interface.
Complete source code is included.  From the programmer's point of
view, an interesting feature of FLASH is that it uses HBF, the
``emerging standard'' for Chinese bitmap fonts.

I welcome comments about FLASH, or suggestions for improvement.  Send
e-mail to [email-masked].

FLASH is available for anonymous FTP at my own site, math.psu.edu,
pub/simpson/chinese/msdos/flash-13.zip.  Later I will try to place
FLASH at ifcss.org.  When this happens, I will make another
announcement here on CCNET.

Excerpts from the README:

> FLASH  -- program to display Chinese flashcards
> 
>   Version 1.3
>
>   This program is free to all who may find it useful.  The author
>   welcomes favorable and unfavorable comments on this program as well
>   as suggestions for improving it.
>
> AVAILABILITY OF THIS PROGRAM:
> 
>   It is intended that the latest version of this program should
>   always be available for anonymous FTP at the author's Internet
>   site: math.psu.edu, directory /pub/simpson/chinese/msdos.
> 
> PURPOSE OF THIS PROGRAM:
> 
>   This program is intended to be useful for English-speaking students
>   of the Chinese language.  The purpose of the program is to display
>   Chinese flashcards.  Each flashcard contains a Chinese character or
>   phrase together with its pronunciation and English meaning.  Each
>   flashcard may contain either the traditional (Taiwan) form of the
>   character or phrase, or the simplified (mainland China) form, or
>   both.  There are flexible options for displaying any or all of this
>   information in a question-answer or ``query-response'' style.
> 
>   Each flashcard is represented as a line or ``card'' in a disk file.
>   Some sample flashcard files are provided, and additional flashcard
>   files can be easily created using standard Chinese file editors.
>   The flashcard file format uses Big-5 codes for traditional
>   characters, and GB codes for simplified characters.  Recommended
>   editors to create flashcard files are CELVIS under ET for Big-5
>   coded traditional characters, and BYX under MS-DOS for GB coded
>   simplified characters.
> 
>   The author would be glad to receive user-created flashcard files for
>   possible distribution with future versions of this program.

Stephen G. Simpson
Department of Mathematics, Pennsylvania State University
333 McAllister Building, University Park, State College, PA 16802
Office phone: +1 814 863-0775      Internet: [email-masked]
Home phone: +1 814 238-2274        Bitnet: T20@PSUVM
FAX: +1 814 865-3735